Subject: RE: FW: Problems with make.
From: "John Melody" <[email-masked]>
To: "Andrew Markebo" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 18 Jan 2001 14:45:47 -0000

Hi Andy,

Thanks for your response. I think I have figured out some of the problems I
was having.

What I was trying to do in the make file was as follows

CLASSES = d:/classes
DISTRIBUTION_DIR = d:/cm-build

jar:
	cd $(CLASSES) ; \
	jar -cvf $(DISTRIBUTION_DIR)/lib/classes.jar squ/

If I use

	'make --unix ' on my make file it works fine without messing around with
mounts at all.

I had been using the 'make --win32' command as I thought that was what
should be used on NT and this was screwing things up I think.

That seems to have been the problem. I don't need to get into the mounting
business at all it would appear.

Thanks for your help,
John.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Andrew Markebo
Sent: 18 January 2001 14:19
To: John Melody
Subject: Re: FW: Problems with make.

Instead of issuing

mount d:\ /
use
mount d:/ /

BTW D:\cygwin should already be mounted as /,

Start your bash, type 'mount' send me the output, do your mounts, do a
'mount' and show me the mounts..

What make are you using??

What does the makefile look like?

        /Andy

/ "John Melody" <[email-masked]> wrote:
| Hi again,
|
| I am still having problems with using 'make'. I have read the docs. and I
| still cannot see what I am missing.
|
| I have installed cygwin to d:\cygwin
| I have set the PATH to include the \bin directory of cygwin
| I have set the HOME env. variable to D:\work
| I have not set the LD_LIBRARY_PATH at all.
|
| I have tried to use /cygdrive/d/classes in the make file but still to no
| avail. Do I  need
| to start sh or bash first and then call 'make' from that environment or
can
| I do it from the standard
| NT command prompt. Also I have tried to create mount points but that does
| not appear to work either.
| For example
|
| mount d:\ /
| mount d:\classes /classes
| mount d:\cm-build /cm-build
|
| and I used the mount directories in the Makefile but still no success.
|
| I would appreciate any other suggestions.
|
| Thanks a lot,
| John.
|
|
|
|
|
|
|
|
|
| John Melody
| SyberNet Ltd.
| Galway Business Park,
| Dangan,
| Galway.
| Tel. No. +353 91 514400
| Fax. NO. +353 91 514409
| Mobile - 087-2345847
|
|
|
| --
| Want to unsubscribe from this list?
| Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple